Package org.eclipse.viatra.query.patternlanguage.emf.serializer

## Class EMFPatternLanguageSemanticSequencer

- java.lang.Object
- - org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer
  - - org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer
    - - org.eclipse.xtext.xbase.serializer.AbstractXtypeSemanticSequencer
      - - org.eclipse.xtext.xbase.serializer.XtypeSemanticSequencer
        - - org.eclipse.xtext.xbase.serializer.AbstractXbaseSemanticSequencer
          - - org.eclipse.xtext.xbase.serializer.XbaseSemanticSequencer
            - - org.eclipse.viatra.query.patternlanguage.emf.serializer.AbstractEMFPatternLanguageSemanticSequencer
              - - org.eclipse.viatra.query.patternlanguage.emf.serializer.EMFPatternLanguageSemanticSequencer

- All Implemented Interfaces:
    `org.eclipse.xtext.serializer.sequencer.ISemanticSequencer`

      public class EMFPatternLanguageSemanticSequencer
      extends AbstractEMFPatternLanguageSemanticSequencer

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.xbase.serializer.XbaseSemanticSequencer

      `OPERATOR_NOT_SUPPORTED`

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer

      `genericSequencer, genericSequencerProvider`

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer

      `diagnosticProvider, errorAcceptor, feederProvider, masterSequencer, nodeProvider, sequenceAcceptor, transientValues`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EMFPatternLanguageSemanticSequencer()` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.serializer.AbstractEMFPatternLanguageSemanticSequencer

      `sequence, sequence_AggregatedValue, sequence_Annotation, sequence_AnnotationParameter, sequence_BoolValue, sequence_CheckConstraint, sequence_CompareConstraint, sequence_EClassifierConstraint, sequence_EnumValue, sequence_FunctionEvaluationValue, sequence_JavaConstantValue, sequence_JavaType, sequence_ListValue, sequence_Modifiers, sequence_NumberValue, sequence_PackageImport, sequence_Parameter, sequence_PathExpressionConstraint, sequence_Pattern, sequence_PatternBody, sequence_PatternCall, sequence_PatternCompositionConstraint, sequence_PatternImport, sequence_PatternModel, sequence_RefType, sequence_StringValue, sequence_Type, sequence_TypeCheckConstraint, sequence_VariableReference, sequence_VQLImportSection, sequence_XBooleanLiteral, sequence_XImportDeclaration, sequence_XNumberLiteral`

    - ### Methods inherited from class org.eclipse.xtext.xbase.serializer.XbaseSemanticSequencer

      `getValidOperator, isBuilderSyntax, isBuilderSyntax, isXShortClosure, isXShortClosure, isXShortClosureAndBuilderSyntax, sequence_XAdditiveExpression, sequence_XAdditiveExpression_XAndExpression_XAssignment_XEqualityExpression_XMultiplicativeExpression_XOrExpression_XOtherOperatorExpression_XRelationalExpression, sequence_XAssignment, sequence_XConstructorCall, sequence_XExpression, sequence_XFeatureCall, sequence_XMemberFeatureCall`

    - ### Methods inherited from class org.eclipse.xtext.xbase.serializer.AbstractXbaseSemanticSequencer

      `sequence_FullJvmFormalParameter, sequence_FullJvmFormalParameter, sequence_JvmFormalParameter, sequence_JvmFormalParameter, sequence_XAdditiveExpression_XAndExpression_XAssignment_XEqualityExpression_XMultiplicativeExpression_XOrExpression_XOtherOperatorExpression_XRelationalExpression, sequence_XAssignment_XMemberFeatureCall, sequence_XAssignment_XMemberFeatureCall, sequence_XBasicForLoopExpression, sequence_XBasicForLoopExpression, sequence_XBlockExpression, sequence_XBlockExpression, sequence_XBooleanLiteral, sequence_XCasePart, sequence_XCasePart, sequence_XCastedExpression, sequence_XCastedExpression, sequence_XCatchClause, sequence_XCatchClause, sequence_XClosure, sequence_XClosure, sequence_XConstructorCall, sequence_XDoWhileExpression, sequence_XDoWhileExpression, sequence_XExpressionInClosure, sequence_XExpressionInClosure, sequence_XFeatureCall, sequence_XForLoopExpression, sequence_XForLoopExpression, sequence_XIfExpression, sequence_XIfExpression, sequence_XListLiteral, sequence_XListLiteral, sequence_XMemberFeatureCall, sequence_XNullLiteral, sequence_XNullLiteral, sequence_XNumberLiteral, sequence_XPostfixOperation, sequence_XPostfixOperation, sequence_XRelationalExpression, sequence_XRelationalExpression, sequence_XReturnExpression, sequence_XReturnExpression, sequence_XSetLiteral, sequence_XSetLiteral, sequence_XShortClosure, sequence_XShortClosure, sequence_XStringLiteral, sequence_XStringLiteral, sequence_XSwitchExpression, sequence_XSwitchExpression, sequence_XSynchronizedExpression, sequence_XSynchronizedExpression, sequence_XThrowExpression, sequence_XThrowExpression, sequence_XTryCatchFinallyExpression, sequence_XTryCatchFinallyExpression, sequence_XTypeLiteral, sequence_XTypeLiteral, sequence_XUnaryOperation, sequence_XUnaryOperation, sequence_XVariableDeclaration, sequence_XVariableDeclaration, sequence_XWhileExpression, sequence_XWhileExpression`

    - ### Methods inherited from class org.eclipse.xtext.xbase.serializer.AbstractXtypeSemanticSequencer

      `sequence_JvmLowerBound, sequence_JvmLowerBound, sequence_JvmLowerBoundAnded, sequence_JvmLowerBoundAnded, sequence_JvmParameterizedTypeReference, sequence_JvmParameterizedTypeReference, sequence_JvmParameterizedTypeReference, sequence_JvmParameterizedTypeReference, sequence_JvmParameterizedTypeReference_JvmInnerTypeReference_1_4_0_0_0, sequence_JvmParameterizedTypeReference_JvmInnerTypeReference_1_4_0_0_0, sequence_JvmTypeParameter, sequence_JvmTypeParameter, sequence_JvmTypeReference, sequence_JvmTypeReference, sequence_JvmUpperBound, sequence_JvmUpperBound, sequence_JvmUpperBoundAnded, sequence_JvmUpperBoundAnded, sequence_JvmWildcardTypeReference, sequence_JvmWildcardTypeReference, sequence_XFunctionTypeRef, sequence_XFunctionTypeRef, sequence_XImportDeclaration, sequence_XImportSection, sequence_XImportSection`

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer

      `init`

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer

      `createContext, createNodeProvider, createSequence, createSequence, createSequencerFeeder, createSequencerFeeder, createSequencerFeeder, createSequencerFeeder, init, setMasterSequencer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageSemanticSequencer

          public EMFPatternLanguageSemanticSequencer()